import axios from '@/libs/axios.js'
// 检测单模糊查询
export const getCheckResult = params => {
  return axios.request({
    url: `checkResult/findList/${params.pageNo}/${params.pageSize}`,
    method: 'post',
    data: {
      queryWord: params.queryWord,
      resultState: params.resultState,
      beginDate: params.beginDate,
      endDate: params.endDate
    }
  })
}
// 删除检测单
export const deleteCheckResult = params => {
  return axios.request({
    url: `checkResult/delete`,
    method: 'post',
    data: {
      id: params.id
    }
  })
}
// 查询检测结果明细
export const findCheckResultDetail = params => {
  return axios.request({
    url: `checkResult/findCheckResultDetail/${params.id}`,
    method: 'post'
  })
}
// 查询第一步详细
export const findCheckRest = params => {
  return axios.request({
    url: `checkResult/findCheckRest/${params.id}`,
    method: 'post'
  })
}
// 检索客户车辆信息
export const customerVehicleStore = params => {
  return axios.request({
    url: `customerVehicle/findList`,
    method: 'post',
    data: {
      'condition': params.condition
    }
  })
}
// 查询检测方案
export const getCheckScheme = params => {
  return axios.request({
    url: `checkScheme/findEnableList`,
    method: 'post',
    data: {}
  })
}
// 查询技工
export const findEmployeeList = params => {
  return axios.request({
    url: `employee/findOnJobList`,
    method: 'post',
    data: {}
  })
}
// 保存车辆信息
export const saveCheckVehicle = params => {
  return axios.request({
    url: `checkResultIn/saveCheckVehicle`,
    method: 'post',
    data: params
  })
}
// 保存检测方案
export const saveCheckScheme = params => {
  return axios.request({
    url: `checkResultIn/saveCheckScheme`,
    method: 'post',
    data: params
  })
}
// 检测项指标结果录入
export const saveCheckItemResult = params => {
  return axios.request({
    url: `checkResultIn/saveCheckItemResult`,
    method: 'post',
    data: params
  })
}
// 一键设为良好
export const saveCheckItemListResultOk = params => {
  return axios.request({
    url: `checkResultIn/saveCheckItemListResultOk`,
    method: 'post',
    data: params
  })
}
// 检测结果录入--检测完成
export const saveCheckResult = params => {
  return axios.request({
    url: `checkResultIn/saveCheckResult`,
    method: 'post',
    data: params
  })
}

